classification
Title: Python '--help' has corrupted text.
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: PeterL777, WildCard65, miss-islington, pablogsal, serhiy.storchaka, vstinner, xtreak
Priority: normal Keywords: patch

Created on 2020-08-11 23:19 by WildCard65, last changed 2020-09-09 07:44 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21836 merged serhiy.storchaka, 2020-08-12 04:38
PR 22162 merged miss-islington, 2020-09-09 00:28
PR 22163 merged miss-islington, 2020-09-09 00:28
Messages (8)
msg375204 - (view) Author: William Pickard (WildCard65) * Date: 2020-08-11 23:19
Running Python's '--help' argument yields some corrupted text:
"-X dev: enable CPythonâ?Ts â?odevelopment modeâ??, introducing additional runtime"
msg375205 - (view) Author: Peter Lovett (PeterL777) Date: 2020-08-12 01:00
Also appearing in 3.9.0rc1 AMD64
I think it's transliterated Unicode, rather than an actual corruption. I'm on Win10, so it might be a Windows command shell issue (although it is showing bad in cmd, PS7 and PS5).
Help messages should be plain ASCII to avoid this issue.
msg375211 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2020-08-12 06:01
serhiy , I can similar quotes present in Lib/pydoc_data/topics.py too which is autogenerated. Could this cause issues with pydoc too while reading topics?
msg375212 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-08-12 06:11
Yes, but I think it is worth opening a separate issue.
msg376610 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-09-09 00:28
New changeset 58de1dd6a8677bd213802c19204b827cb7134695 by Serhiy Storchaka in branch 'master':
bpo-41525: Make the Python program help ASCII-only (GH-21836)
https://github.com/python/cpython/commit/58de1dd6a8677bd213802c19204b827cb7134695
msg376611 - (view) Author: miss-islington (miss-islington) Date: 2020-09-09 00:46
New changeset 9171dc2827650a1a3c20dee994145e335befa00e by Miss Islington (bot) in branch '3.8':
bpo-41525: Make the Python program help ASCII-only (GH-21836)
https://github.com/python/cpython/commit/9171dc2827650a1a3c20dee994145e335befa00e
msg376612 - (view) Author: miss-islington (miss-islington) Date: 2020-09-09 00:47
New changeset 11a82c7220a29aa1cabd6a1b042742b44c9c9b91 by Miss Islington (bot) in branch '3.9':
bpo-41525: Make the Python program help ASCII-only (GH-21836)
https://github.com/python/cpython/commit/11a82c7220a29aa1cabd6a1b042742b44c9c9b91
msg376621 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-09 07:44
xtreak: "serhiy , I can similar quotes present in Lib/pydoc_data/topics.py too which is autogenerated. Could this cause issues with pydoc too while reading topics?"

If you consider that it is an issue, please open a new issue.
History
Date User Action Args
2020-09-09 07:44:33vstinnersetmessages: + msg376621
2020-09-09 00:47:56miss-islingtonsetmessages: + msg376612
2020-09-09 00:46:48miss-islingtonsetmessages: + msg376611
2020-09-09 00:41:11WildCard65setstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-09-09 00:28:26miss-islingtonsetpull_requests: + pull_request21237
2020-09-09 00:28:15miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21236
2020-09-09 00:28:05pablogsalsetnosy: + pablogsal
messages: + msg376610
2020-08-14 19:05:18ned.deilyunlinkissue41527 superseder
2020-08-14 18:54:30ned.deilylinkissue41527 superseder
2020-08-13 17:00:37vstinnersetnosy: + vstinner
2020-08-12 06:11:56serhiy.storchakasetmessages: + msg375212
2020-08-12 06:01:11xtreaksetnosy: + xtreak
messages: + msg375211
2020-08-12 04:38:31serhiy.storchakasetkeywords: + patch
nosy: + serhiy.storchaka

pull_requests: + pull_request20964
stage: patch review
2020-08-12 01:00:35PeterL777setnosy: + PeterL777

messages: + msg375205
versions: + Python 3.9
2020-08-11 23:19:48WildCard65create